Status List retrieval
Retrieve all Status lists
Deprecated
Retrieves all existing status lists from your tenant.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>Status lists retrieved
application/json- response
data?array<>curl -X GET 'https://example.vii.au01.mattr.global/v2/credentials/mobile/status-lists'{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "statusListConfigurationId": "0bd642d3-4a3b-4ce2-9f8f-151a73becaae", "listSize": 100000, "list": "0oRZAu6jEHRtYXR0ci1zdGF0dXNs..." } ]}Retrieve a Status list
Deprecated
Retrieves an existing Status list and its signed token by providing its ID.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>statusListId*stringStatus list unique identifier
uuidStatus list retrieved
application/json- response
id?stringUnique identifier for this status list.
uuidiacaId?stringIdentifies the IACA used as the root certificate for credentials in this status list.
uuidstatusListConfigurationId?stringIdentifies the status list configuration that determines the status list validity period.
uuidlistSize?integerThe maximum number of credentials that can be added to this list before a new status list must be created.
list?stringThe base-64 encoded token of this status list.
curl -X GET 'https://example.vii.au01.mattr.global/v2/credentials/mobile/status-lists/497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "statusListConfigurationId": "0bd642d3-4a3b-4ce2-9f8f-151a73becaae", "listSize": 100000, "list": "0oRZAu6jEHRtYXR0ci1zdGF0dXNs..."}Retrieve a Status list token
Retrieves the Status list token in CWT format. This public endpoint returns a token which contains a compressed, signed list of credential statuses. Relying parties can use this token to check the revocation status of an mDoc that references this Status list.
This endpoint is intended for public consumption, and as such does not require authentication.
Token Format:
MATTR VII implements Draft 14 of the IETF Token Status List specification:
- Token header
typ:application/statuslist+cwt - CBOR payload claims:
65533(status_list),65534(ttl) - Status encoding: 1-bit (Valid/Invalid)
Analytics Events
statusListId*stringStatus list identifier
uuidStatus list token retrieved
response?fileapplication/cwtbinarycurl -X GET 'https://example.vii.au01.mattr.global/v2/credentials/mobile/status-lists/497f6eca-6276-4993-bfeb-53cbbbba6f08/token'"string"Status list distribution
Retrieves an object that details all existing Status lists tokens on the tenant. This public endpoint allows a relying party to consume and cache status lists. Each list in the response includes a URL where its token can be retrieved. Status list tokens that were signed by expired IACAs are excluded from the response.
This endpoint is intended for public consumption, and as such does not require authentication.
Response Format:
MATTR VII implements Draft 14 of the IETF Token Status List specification, so
status_lists is an array of URL strings: {"status_lists": ["https://..."]}
Tenants that issued credentials before adopting Draft 14 also serve those Status
lists in the earlier format, where status_lists is an array of objects:
{"status_lists": [{"uri": "https://..."}]}. Relying parties should handle both
shapes.
Analytics Events
Status lists retrieved
application/json- response
Draft 14 of the IETF Token Status List specification format where status_lists is an array of URL strings
status_lists*array<>All Status list URLs available on this tenant
curl -X GET 'https://example.vii.au01.mattr.global/v2/credentials/mobile/status-lists/distribution'{ "status_lists": [ "https://learn.vii.au01.mattr.global/v2/credentials/mobile/status-lists/{statusListId}/token" ]}How would you rate this page?
Last updated on